# class VarBind |
Full name | `Snmp::VarBind`
Definition | `#include <libs/ysnmp/yatesnmp.h>`
Inherits | AsnObject (unknown) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum AsnChoiceTypeType { VALUE, UNSPECIFIED, NOSUCHOBJECT, NOSUCHINSTANCE, ENDOFMIBVIEW, }

#### Public Methods

- VarBind ()
- VarBind (void* data, int len)
- ~VarBind ()
- int decode (DataBlock& data)
- int encode (DataBlock& data)
- void getParams (NamedList* params)
- void setParams (NamedList* params)

#### Public Members

- static const int s_type
- ObjectName* m_name
- int m_choiceType
- ObjectSyntax* m_value
- int m_unSpecified
- static const int tag_noSuchObject
- int m_noSuchObject
- static const int tag_noSuchInstance
- int m_noSuchInstance
- static const int tag_endOfMibView
- int m_endOfMibView

## Detailed Description

static const int s_type | ### s_type

ObjectName* m_name | ### m_name

enum AsnChoiceTypeType { VALUE, UNSPECIFIED, NOSUCHOBJECT, NOSUCHINSTANCE, ENDOFMIBVIEW, } | ### AsnChoiceTypeType

int m_choiceType | ### m_choiceType

ObjectSyntax* m_value | ### m_value

int m_unSpecified | ### m_unSpecified

static const int tag_noSuchObject | ### tag_noSuchObject

int m_noSuchObject | ### m_noSuchObject

static const int tag_noSuchInstance | ### tag_noSuchInstance

int m_noSuchInstance | ### m_noSuchInstance

static const int tag_endOfMibView | ### tag_endOfMibView

int m_endOfMibView | ### m_endOfMibView

VarBind () | ### VarBind

VarBind (void* data, int len) | ### VarBind

~VarBind () | ### ~VarBind

int decode (DataBlock& data) | ### decode

int encode (DataBlock& data) | ### encode

void getParams (NamedList* params) | ### getParams

void setParams (NamedList* params) | ### setParams

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.